BatchTrainer (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser
Class BatchTrainer

    java.lang.Object
      org.maltparser.parser.Algorithm
          org.maltparser.parser.Trainer
              org.maltparser.parser.BatchTrainer

    public class BatchTrainer

extends Trainer

Author:
  Johan Hall

Field Summary

Fields inherited from class org.maltparser.parser.Algorithm
`classifierGuide, currentParserConfiguration, diagnostics, diaWriter, manager, parserState`

Constructor Summary
`BatchTrainer(DependencyParserConfig manager)`

Method Summary
`OracleGuide` | `getOracleGuide()` Returns the oracle guide.
`DependencyStructure` | `parse(DependencyStructure goldDependencyGraph, DependencyStructure parseDependencyGraph)` Trains a parser using the gold-standard dependency graph and returns a parsed dependency graph
`void` | `terminate()`
`void` | `train()`

Methods inherited from class org.maltparser.parser.Algorithm
`closeDiaWriter, copyDynamicInput, copyEdges, getCurrentParserConfiguration, getDiaWriter, getGuide, getManager, getParserState, initParserState, isDiagnostics, makeParserFactory, openDiaWriter, setCurrentParserConfiguration, setDiagnostics, setGuide, setManager, setParserState, writeToDiaFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchTrainer

    public BatchTrainer(DependencyParserConfig manager)
                 throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### parse

    public DependencyStructure parse(DependencyStructure goldDependencyGraph,
                                     DependencyStructure parseDependencyGraph)
                              throws MaltChainedException

  Description copied from class: `Trainer`
  Trains a parser using the gold-standard dependency graph and returns a parsed dependency graph

  Specified by:
    `parse` in class `Trainer`
  Parameters:
    `goldDependencyGraph` - a old-standard dependency graph
    `parseDependencyGraph` - a empty dependency graph
  Returns:
    a parsed dependency graph
  Throws:
    `MaltChainedException`

### getOracleGuide

    public OracleGuide getOracleGuide()

  Description copied from class: `Trainer`
  Returns the oracle guide.

  Specified by:
    `getOracleGuide` in class `Trainer`
  Returns:
    the oracle guide.

### train

    public void train()
               throws MaltChainedException

  Specified by:
    `train` in class `Trainer`
  Throws:
    `MaltChainedException`

### terminate

    public void terminate()
                   throws MaltChainedException

  Specified by:
    `terminate` in class `Algorithm`
  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.